<template>
  <div class="sw-gs-client-login">
    <component :is="component"/>
    <div v-if="component !== 'SwResetPassword'" class="sw-gs-client-login-action">
      <SwButton class="sf-button--text button--muted" @click="component = 'SwResetPassword'">
        {{ $t("Forgotten password?") }}
      </SwButton>
    </div>

    <div class="sw-gs-client-login-bottom">
      <template v-if="component !== 'SwRegister'">
        <SfHeading :title="$t('Don\'t have an account yet?')" :level="4" class="sw-gs-client-login-bottom__heading"/>
        <SwButton class="sf-button--text sw-gs-client-login-bottom__element" @click="component = 'SwRegister'">
          {{ $t("Register today!") }}
        </SwButton>
      </template>
    </div>

    <div v-if="component !== 'SwLogin'" class="sw-gs-client-login-action">
      <SwButton class="sf-button--text button--muted" @click="component = 'SwLogin'">
        {{ $t("or try to log in again.") }}
      </SwButton>
    </div>
  </div>
</template>

<script>
  import { SfHeading } from "@storefront-ui/vue"
  import { useUser } from "@shopware-pwa/composables"
  import SwButton from "@/components/atoms/SwButton.vue"

  const SwLogin = () => import("./SwLogin.vue")
  const SwRegister = () => import("@/components/SwRegister.vue")
  const SwResetPassword = () => import("@/components/SwResetPassword.vue")


  export default {
    name: "SwGsClientLoginForm",
    components: {
      SwButton,
      SfHeading,
      SwLogin,
      SwRegister,
      SwResetPassword,
    },
    setup() {
      const { login, loading, error } = useUser();

      return {
        clientLogin: login,
        isLoading: loading,
        error
      }
    },
    data() {
      return {
        component: 'SwLogin'
      }
    },
  }
</script>

<style lang="scss" scoped>
  @import "@/assets/scss/variables";

  .sw-gs-client-login-action {
    margin-top: var(--spacer-base);
    text-align: center;
  }

  .sw-gs-client-login-bottom {
    display: flex;
    flex-direction: column;
    align-items: center;

    &__heading {
      --heading-title-color: var(--c-primary);
      padding: var(--spacer-sm) 0;
    }

    &:last-child {
      padding-bottom: var(--spacer-lg);
    }
  }
</style>
